Name:           gooddata-cl
Version:        1.2.73
Release:        1%{dist}
Summary:        GoodData integration toolkit

Group:          Applications/Internet
License:        BSD
URL:            http://developer.gooddata.com/gooddata-cl/
# The repository contains possibly non-free jars
# git clone http://github.com/gooddata/GoodData-CL.git
# cd GoodData-CL
# mkdir gooddata-cl-1.2.73
# git --work-tree=gooddata-cl-1.2.73 checkout -f 1.2.73
# find gooddata-cl-1.2.73 -name '*.jar' -delete
# tar czf gooddata-cl-1.2.73.tar.gz gooddata-cl-1.2.73

Source0:        gooddata-cl-%{version}.tar.gz
Source1:        gooddata-cl.conf
Patch1:         0001-Drag-in-packages-we-ship-split.patch
Patch2:         0002-No-separate-commons-httpclient-for-signpost.patch
Patch3:         0003-Disable-modules-we-can-t-build-due-missing-closed-de.patch
Patch4:         0004-Sanitize-logging-defaults.patch
Patch5:         0005-Do-not-hardwire-classpath-in-CLI.patch
Patch6:         0006-Avoid-using-proprietary-Sun-API.patch
Patch7:         0007-Remove-FTP-support-it-should-not-be-used.patch
Patch8:         0008-Drop-GA-connector.patch
Patch9:         0009-Drop-jdk15-classifiers.patch
Patch10:        0010-Pull-in-xerces-since-the-XML-api-got-deprecated.patch
Patch11:        0001-Wrangle-the-utf8-magic.patch

Requires:       apache-commons-beanutils
Requires:       apache-commons-cli
Requires:       apache-commons-codec
Requires:       apache-commons-collections
Requires:       apache-commons-discovery
Requires:       apache-commons-io
Requires:       apache-commons-jexl
Requires:       apache-commons-lang
Requires:       apache-commons-logging
Requires:       apache-commons-net
Requires:       axis
Requires:       derby
Requires:       dom4j
Requires:       ezmorph
Requires:       guava
Requires:       httpcomponents-client
Requires:       httpcomponents-core
Requires:       icu4j
Requires:       jackrabbit-webdav
Requires:       jakarta-commons-httpclient
Requires:       javassist
Requires:       jaxen
Requires:       jdom
Requires:       joda-time
Requires:       json-lib
Requires:       json_simple
Requires:       junit
Requires:       log4j-over-slf4j
Requires:       logback
Requires:       mysql-connector-java
Requires:       opencsv
Requires:       signpost-core
Requires:       slf4j
Requires:       xpp3
Requires:       xstream
Requires:       xerces-j2

BuildRequires:  maven-local
BuildRequires:  maven-doxia-sitetools
BuildRequires:  maven-shared-reporting-impl
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-surefire
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-site-plugin
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-war-plugin
BuildRequires:  javacc-maven-plugin

BuildRequires:  apache-commons-beanutils
BuildRequires:  apache-commons-cli
BuildRequires:  apache-commons-codec
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-discovery
BuildRequires:  apache-commons-io
BuildRequires:  apache-commons-jexl
BuildRequires:  apache-commons-lang
BuildRequires:  apache-commons-logging
BuildRequires:  apache-commons-net
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  axis
BuildRequires:  derby
BuildRequires:  dom4j
BuildRequires:  ezmorph
BuildRequires:  guava
BuildRequires:  httpcomponents-client
BuildRequires:  httpcomponents-core
BuildRequires:  icu4j
BuildRequires:  jackrabbit-webdav
BuildRequires:  javassist
BuildRequires:  jaxen
BuildRequires:  jdom
BuildRequires:  joda-time
BuildRequires:  json-lib
BuildRequires:  json_simple
BuildRequires:  junit
BuildRequires:  log4j-over-slf4j
BuildRequires:  logback
BuildRequires:  mysql-connector-java
BuildRequires:  opencsv
BuildRequires:  signpost-core
BuildRequires:  slf4j
BuildRequires:  xpp3
BuildRequires:  xstream

BuildArch:      noarch

Provides:       gooddata-cli = %{version}-%{release}

%description
This is GoodData data integration toolkit. The toolkit contains data
modeling, transformation and loading utilities that work on top of the
GoodData REST APIs.


%package javadoc
Summary:        API documentation for gooddata-cl
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description javadoc
Javadoc documentation of gooddata-cl API.


%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
# This don't ship with POMs yet.
xmvn install:install-file -Dpackaging=jar -DgroupId=oauth.signpost \
        -DartifactId=signpost-core -Dversion=1.2 -Dfile=$(build-classpath signpost-core)

%mvn_build -- -Dmaven.test.skip=true


%install
# Directory tree
install -d %{buildroot}%{_javadir}/%{name}
install -d %{buildroot}%{_javadocdir}
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sysconfdir}

# Code
for i in backend cli common connector
do

        install -pm644 $i/target/gooddata-cl-$i-*.jar \
                %{buildroot}%{_javadir}/%{name}/$i.jar
done

install -pm644 common/src/main/resources/log4j.configuration \
        %{buildroot}%{_sysconfdir}/%{name}

# Configuration
install -pm644 %{SOURCE1} %{buildroot}%{_sysconfdir}/gooddata-cl.conf

# Launcher
%jpackage_script com.gooddata.processor.GdcDI '' '' xpp3:slf4j/api:axis/saaj:axis/jaxrpc:json_simple:joda-time:slf4j/log4j-over-slf4j:commons-beanutils:commons-lang:apache-commons-jexl:commons-io:jaxen:axis:httpcomponents/httpcore:dom4j:jackrabbit-webdav:junit:httpcomponents/httpclient:mysql-connector-java:opencsv:commons-collections:signpost-core:javassist:json-lib:commons-cli:commons-logging:commons-discovery:commons-codec:commons-net:logback/logback-classic:icu4j:xstream:logback/logback-core:derby:ezmorph:jdom:commons-httpclient:gooddata-cl gooddata-cli false

# Documentation
cp -a target/site/apidocs %{buildroot}%{_javadocdir}/%{name}


%files
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/*
%{_javadir}/%{name}
%doc README* LICENSE.TXT


%files javadoc
%{_javadocdir}/%{name}


%changelog
* Fri May 16 2014 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.2.73-1
- Update to a later version
- Modernize build
- Add javadoc documentation

* Mon Oct 28 2013 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.2.69-1
- Update to a later version

* Thu Oct 24 2013 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.2.56-8
- Bulk sad and useless attempt at consistent SPEC file formatting
- Fix build

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.56-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 23 2013 Mat Booth <fedora@matbooth.co.uk> - 1.2.56-6
- Fix requires on obsoleted jakarta-commons-net package name, rhbz #818489

* Thu Jul 11 2013 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.2.56-5
- Fix build

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.56-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.2.56-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Aug 16 2012 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.2.56-2
- Avoid using proprietary Sun API that's being removed

* Fri Aug 03 2012 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.2.56-1
- Update to DLI version

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 05 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.1.9-1
- Bump to a later release

* Fri Nov 05 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.1.4-3
- Mark log4j configuration %%config
- Remove classpath from manifest

* Thu Nov 04 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.1.4-2
- Fix BuildRequires
- Correct the URL

* Mon Sep 20 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.1.4-1
- Rebase to a later version

* Mon Jun 28 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 1.0-0.1.20100628git
- Update, rename to gooddata-cl

* Wed Jun 16 2010 Lubomir Rintel (GoodData) <lubo.rintel@gooddata.com> - 0.6-1.20100615git
- First cut at packaging, far from sane
